Create subscription updates
Subscriptions
Create subscription updates
Create multiple updates to apply at once to an existing subscription.
POST
Create subscription updates
Documentation Index
Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
immediately, scheduled Available options:
immediately, next_invoice, custom Available options:
pro_rata, pay_in_full, do_not_charge updates
(Add product · object | Remove product · object | Add coupon · object | Remove coupon · object | Update count · object | Update prices · object)[]
required
Add a new product to bill as part of the subscription.
- Add product
- Remove product
- Add coupon
- Remove coupon
- Update count
- Update prices
The date when the update should be applied. Required when application_schedule is 'scheduled'.
Example:
"2024-12-20T16:04:11Z"
The date when the resulting subscription update should be charged. Required when payment_schedule is 'custom'. Must be in the future.
Example:
"2024-12-20T16:04:11Z"
Response
Subscription updates created

